aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-core-ivi/busybox/files
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-core-ivi/busybox/files')
-rw-r--r--recipes-core-ivi/busybox/files/busybox-cron39
-rw-r--r--recipes-core-ivi/busybox/files/busybox-httpd44
-rw-r--r--recipes-core-ivi/busybox/files/busybox-udhcpc25
-rw-r--r--recipes-core-ivi/busybox/files/busybox-udhcpd43
-rw-r--r--recipes-core-ivi/busybox/files/default.script4
-rw-r--r--recipes-core-ivi/busybox/files/find-touchscreen.sh9
-rw-r--r--recipes-core-ivi/busybox/files/mdev7
-rw-r--r--recipes-core-ivi/busybox/files/mdev.conf35
-rw-r--r--recipes-core-ivi/busybox/files/mount.busybox3
-rw-r--r--recipes-core-ivi/busybox/files/syslog-startup.conf13
-rw-r--r--recipes-core-ivi/busybox/files/umount.busybox3
11 files changed, 225 insertions, 0 deletions
diff --git a/recipes-core-ivi/busybox/files/busybox-cron b/recipes-core-ivi/busybox/files/busybox-cron
new file mode 100644
index 0000000..ffc5c5f
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/busybox-cron
@@ -0,0 +1,39 @@
+#!/bin/sh
+DAEMON=/usr/sbin/crond
+NAME=crond
+DESC="Busybox Periodic Command Scheduler"
+ARGS="-c /etc/cron/crontabs"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo -n "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/busybox-httpd b/recipes-core-ivi/busybox/files/busybox-httpd
new file mode 100644
index 0000000..2f41bba
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/busybox-httpd
@@ -0,0 +1,44 @@
+#!/bin/sh
+DAEMON=/usr/sbin/httpd
+NAME=httpd
+DESC="Busybox HTTP Daemon"
+HTTPROOT="/srv/www"
+ARGS="-h $HTTPROOT"
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ if [ ! -d $HTTPROOT ]; then
+ echo "$HTTPROOT is missing."
+ exit 1
+ fi
+ start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/busybox-udhcpc b/recipes-core-ivi/busybox/files/busybox-udhcpc
new file mode 100644
index 0000000..28ef9e1
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/busybox-udhcpc
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# (c) 2010-2011 Wind River Systems, Inc.
+#
+# Busybox udhcpc init script
+#
+# script to start the udpchc DHCP client on boots where
+# the parameter 'ip=dhcp' was included in the kernel parameters
+
+# ensure the required binaries are present
+[ -x /sbin/udhcpc ] || exit 1
+[ -x /bin/grep ] || exit 1
+[ -x /bin/mount ] || exit 1
+
+# ensure /proc is mounted
+if ! mount | grep -q "/proc "; then
+ exit 2
+fi
+
+rc=0
+if grep -q -E "\bip=dhcp\b" /proc/cmdline; then
+ /sbin/udhcpc -D -s /usr/share/udhcpc/default.script
+ rc=$?
+fi
+exit $rc
diff --git a/recipes-core-ivi/busybox/files/busybox-udhcpd b/recipes-core-ivi/busybox/files/busybox-udhcpd
new file mode 100644
index 0000000..2638b4d
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/busybox-udhcpd
@@ -0,0 +1,43 @@
+#!/bin/sh
+DAEMON=/usr/sbin/udhcpd
+NAME=udhcpd
+DESC="Busybox UDHCP Server"
+ARGS="/etc/udhcpd.conf"
+
+test -f $DAEMON || exit 1
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "starting $DESC: $NAME... "
+ if [ ! -f /etc/udhcpd.conf ]; then
+ echo "error: /etc/udhcpd.conf is missing."
+ exit 1
+ fi
+ /sbin/start-stop-daemon -S -b -n $NAME -a $DAEMON -- $ARGS
+ echo "done."
+ ;;
+ stop)
+ echo -n "stopping $DESC: $NAME... "
+ /sbin/start-stop-daemon -K -n $NAME
+ echo "done."
+ ;;
+ restart)
+ echo "restarting $DESC: $NAME... "
+ $0 stop
+ $0 start
+ echo "done."
+ ;;
+ reload)
+ echo -n "reloading $DESC: $NAME... "
+ killall -HUP $(basename ${DAEMON})
+ echo "done."
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/recipes-core-ivi/busybox/files/default.script b/recipes-core-ivi/busybox/files/default.script
new file mode 100644
index 0000000..cfaa156
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/default.script
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+exec run-parts -a "$1" /etc/udhcpc.d
+
diff --git a/recipes-core-ivi/busybox/files/find-touchscreen.sh b/recipes-core-ivi/busybox/files/find-touchscreen.sh
new file mode 100644
index 0000000..da7ceb6
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/find-touchscreen.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ `egrep "input:.*-e0.*,3,.*a0,1,.*18,.*" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
+ ln -sf /dev/input/$MDEV /dev/input/touchscreen0
+fi
+
+if [ `egrep "ads7846" /sys/class/input/$MDEV/device/modalias|wc -l` -gt 0 ]; then
+ ln -sf /dev/input/$MDEV /dev/input/touchscreen0
+fi
diff --git a/recipes-core-ivi/busybox/files/mdev b/recipes-core-ivi/busybox/files/mdev
new file mode 100644
index 0000000..9e09287
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/mdev
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+mount -t tmpfs tmpfs /dev -o size=64k,mode=0755
+mkdir /dev/pts /dev/shm
+mount -t devpts devpts /dev/pts
+echo "/sbin/mdev" > /proc/sys/kernel/hotplug
+mdev -s
diff --git a/recipes-core-ivi/busybox/files/mdev.conf b/recipes-core-ivi/busybox/files/mdev.conf
new file mode 100644
index 0000000..4b88660
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/mdev.conf
@@ -0,0 +1,35 @@
+console 0:0 0600
+cpu_dma_latency 0:0 0660
+fb0:0 44 0660
+full 0:0 0666
+initctl 0:0 0600
+ircomm[0-9].* 0:20 0660
+kmem 0:15 0640
+kmsg 0:0 0660
+log 0:0 0666
+loop[0-9].* 0:6 0640
+mem 0:15 0640
+network_latency 0:0 0660
+network_throughput 0:0 0660
+null 0:0 0666
+port 0:15 0640
+ptmx 0:5 0666
+ram[0-9].* 0:6 0640
+random 0:0 0666
+sda 0:6 0640
+tty 0:5 0666
+tty.* 0:0 0620
+urandom 0:0 0666
+usbdev.* 0:0 0660 */etc/mdev/usb.sh
+vcs.* 0:5 0660
+zero 0:0 0666
+
+pcm.* 0:0 0660 =snd/
+control.* 0:0 0660 =snd/
+timer 0:0 0660 =snd/
+
+event.* 0:0 0660 =input/ @/etc/mdev/find-touchscreen.sh
+mice 0:0 0660 =input/
+mouse.* 0:0 0660 =input/
+
+tun[0-9]* 0:0 0660 =net/
diff --git a/recipes-core-ivi/busybox/files/mount.busybox b/recipes-core-ivi/busybox/files/mount.busybox
new file mode 100644
index 0000000..d760f74
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/mount.busybox
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec /bin/busybox mount $@
diff --git a/recipes-core-ivi/busybox/files/syslog-startup.conf b/recipes-core-ivi/busybox/files/syslog-startup.conf
new file mode 100644
index 0000000..6d35375
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/syslog-startup.conf
@@ -0,0 +1,13 @@
+# This configuration file is used by the busybox syslog init script,
+# /etc/init.d/syslog[.busybox] to set syslog configuration at start time.
+
+DESTINATION=file # log destinations (buffer file remote)
+LOGFILE=/var/log/messages # where to log (file)
+REMOTE=loghost:514 # where to log (syslog remote)
+REDUCE=no # reduce-size logging
+DROPDUPLICATES=no # whether to drop duplicate log entries
+#ROTATESIZE=0 # rotate log if grown beyond X [kByte]
+#ROTATEGENS=3 # keep X generations of rotated logs
+BUFFERSIZE=64 # size of circular buffer [kByte]
+FOREGROUND=no # run in foreground (don't use!)
+#LOGLEVEL=5 # local log level (between 1 and 8)
diff --git a/recipes-core-ivi/busybox/files/umount.busybox b/recipes-core-ivi/busybox/files/umount.busybox
new file mode 100644
index 0000000..0f3e941
--- /dev/null
+++ b/recipes-core-ivi/busybox/files/umount.busybox
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec /bin/busybox umount $@